<?php
/**
 * Plugin Name: WooCommerce Menu Customizer
 * Description: Altera o nome do menu "WooCommerce" para "VENDAS" e esconde "Obrigado por criar com o WordPress."
 * Version: 1.0
 * Author: Cubo Mágico Design
 */

// Alterar o nome do menu WooCommerce para "VENDAS"
function custom_woocommerce_menu_name() {
    global $menu;
    foreach ($menu as $key => $value) {
        if ($value[2] == 'woocommerce') {
            $menu[$key][0] = 'VENDAS';
        }
    }
}
add_action('admin_menu', 'custom_woocommerce_menu_name', 999);

// Esconder "Obrigado por criar com o WordPress."
function remove_footer_admin () {
    return '';
}
add_filter('admin_footer_text', 'remove_footer_admin');

// Esconder "Opções deste ecrã" e "Ajuda"
function hide_screen_options_and_help() {
    echo '<style type="text/css">
        #screen-options-link-wrap, #contextual-help-link-wrap { display: none !important; }
    </style>';
}
add_action('admin_head', 'hide_screen_options_and_help');

// Esconder aviso sobre WooCommerce Analytics
function hide_woocommerce_analytics_notice() {
    echo '<style type="text/css">
        .wc-admin-dashboard__analytics-replacement-notice { display: none !important; }
    </style>';
}
add_action('admin_head', 'hide_woocommerce_analytics_notice');
